Bug 525796 - Review Request: winwrangler - Small desktop daemon to perform advanced window manipulations
Review Request: winwrangler - Small desktop daemon to perform advanced window...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On: 525795
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 14:45 EDT by Mads Villadsen
Modified: 2010-01-12 13:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 13:19:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2009-09-25 14:45:22 EDT
Spec URL: http://krakoa.dk/fedora/winwrangler.spec
SRPM URL: http://krakoa.dk/fedora/winwrangler-0.2.3-1.fc11.src.rpm
Description: Small desktop daemon to perform advanced window manipulations
Comment 1 Mads Villadsen 2009-09-26 16:45:01 EDT
Updated the spec file to contain a BuildRequires on intltool since the package contains translations.

http://krakoa.dk/fedora/winwrangler.spec
http://krakoa.dk/fedora/winwrangler-0.2.3-2.fc11.src.rpm
Comment 2 Guido Grazioli 2009-09-27 06:22:25 EDT
This package is in good shape, you only have the same issue as the lib about the /usr/share/doc dir; and where did you get the scriptlet to update the icon cache?
The version here is somewhat different: https://fedoraproject.org/wiki/Archive:PackagingDrafts/ScriptletSnippets/iconcache#Existing_Guideline
Comment 3 Mads Villadsen 2009-09-27 08:03:55 EDT
I fixed the doc issue.

http://krakoa.dk/fedora/winwrangler.spec
http://krakoa.dk/fedora/winwrangler-0.2.3-3.fc11.src.rpm  

I get the icon cache scriptlet from here (which does seem to be the autoritative place):

http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
Comment 4 Guido Grazioli 2009-09-27 12:10:34 EDT
QUEUED - The package MUST successfully compile and build

The package needs gtk2-devel >= 2.17.11 to build. 
(Commit here: http://osdir.com/ml/svn-commits-list/2009-09/msg00926.html)
I cannot build the package locally as i have no functional rawhide here and latest version for F-11 is 2.16.6. To build in koji you will have to wait for libgtkhotkey to be pushed in.

QUEUED - rpmlint output

OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is GPLv3)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
QUEUED - The package MUST successfully compile and build
Must wait dependency to be pushed to build in koji
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
bfb69578d335a2988f4018e3a186e590  winwrangler-0.2.3.tar.gz
OK - The spec file MUST handle locales properly (find_lang used)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
OK - The package must contain code, or permissable content 
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package (no devel package)
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
NA - Packages must NOT contain any .la libtool archives
OK - Packages containing GUI applications MUST include a .desktop file (desktop file included in SRPM as Source1 and installed correctly, gtk-update-icon-cache used)
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release
Comment 5 Mads Villadsen 2009-10-02 14:26:11 EDT
I see no reason that is needs gtk2-devel >= 2.17.11. It builds just fine on my F-11 system.

Anyway I updated the spec file with a few BuildRequires (libwnck-devel, gtk2-devel) and it now builds just fine.

For the scratch build I made see here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1724728

New spec and src.rpm:

http://krakoa.dk/fedora/winwrangler.spec
http://krakoa.dk/fedora/winwrangler-0.2.3-4.fc11.src.rpm
Comment 6 Guido Grazioli 2009-10-02 20:23:32 EDT
I get this one on my system building rpms:
/usr/lib/gcc/x86_64-redhat-linux/4.4.1/../../../../lib64/libgtkhotkey.so: undefined reference to `gdk_x11_window_get_drawable_impl'
so i searched for that function and it happened to be included in gtk 2.17.11 (it seems to be gtkhotkey related, but gtkhotkey itself was built successfully here).

However if it builds in koji i'm happy with that.

Please note i noticed that in the libgtkhotkey package, you still need to add the *explicit* Requires: pkgconfig to the -devel package (and only there). Consider adding it on next update.


Addendum to the review above:

OK - The package MUST successfully compile and build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1724728

OK - rpmlint output
3 packages and 1 specfiles checked; 0 errors, 0 warnings.


Package APPROVED.
Comment 7 Mads Villadsen 2009-10-03 04:30:01 EDT
New Package CVS Request
=======================
Package Name: winwrangler
Short Description: Small desktop daemon to perform advanced window manipulations
Owners: maxx
Branches: F-11 F-12
InitialCC: maxx
Comment 8 Kevin Fenzi 2009-10-03 17:21:43 EDT
cvs done.
Comment 9 Fedora Update System 2009-10-04 10:25:58 EDT
winwrangler-0.2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/winwrangler-0.2.4-1.fc11
Comment 10 Fedora Update System 2009-10-04 10:26:54 EDT
winwrangler-0.2.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/winwrangler-0.2.4-1.fc12
Comment 11 Fedora Update System 2009-10-06 06:09:22 EDT
winwrangler-0.2.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Guido Grazioli 2010-01-12 13:19:56 EST
Package is in stable repository for both F11 and F12, closing bug.

Note You need to log in before you can comment on or make changes to this bug.